> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove an action from a flow

> Remove a single action from a flow by its `flowActionId`. Returns 404 if the flow or flow action does not exist.



## OpenAPI

````yaml /api-reference/workflows.yaml delete /flows/{flowId}/actions/{flowActionId}
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /flows/{flowId}/actions/{flowActionId}:
    delete:
      tags:
        - Flows
      summary: Remove an action from a flow
      description: >-
        Remove a single action from a flow by its `flowActionId`. Returns 404 if
        the flow or flow action does not exist.
      operationId: removeFlowAction
      parameters:
        - in: path
          name: flowId
          required: true
          schema:
            format: uuid
            type: string
        - in: path
          name: flowActionId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                required:
                  - message
                type: object
          description: Flow action removed
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Not Found
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const action = await
            client.workflows.flows.actions.remove('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            {
              flowId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            });


            console.log(action.message);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            action = client.workflows.flows.actions.remove(
                flow_action_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(action.message)
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.